View Issue Details

IDProjectCategoryView StatusLast Update
0001371ScribusPlug-inspublic2014-06-11 08:40
Reportermaxlybbert Assigned Tocezaryece  
PrioritynormalSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0001371: Considering writing plugin to generate TOCs, Indexes, and "Continued on pg ... " messages
DescriptionI am considering writing a plugin to make generating Tables of Contents, Indexes, and magazine-style "Story continued on page ..." messages easier. Since I am not all that familiar with Scribus at this point, I'm not sure if this feature already exists.

Simply put, the main idea is to use PDF links (or text box linking for the "Continued on ..." messages), and to follow those links to guarantee that the page numbers listed in TOC entries, etc. will be correct and automatically updated. Of course the GUI-side of things also has to be considered to make the whole operation intuitive.
TagsNo tags attached.
Patch

Relationships

related to 0000187 closedcbradney Add Table of Contents bool and integer to styles and Scripter function to set/get this value 
related to 0003349 acknowledgedcezaryece A real support of footnotes 
parent of 0004484 assignedcezaryece TOC generation: Several issues 
related to 0002707 closedcezaryece More flexible ways of page numbering 
related to 0003450 closedcezaryece Real support for endnotes 
related to 0002663 acknowledged indexing 
related to 0003896 acknowledged Metabug: Scientific Publishing 
related to 0005975 new Wish: generate TOC from paragraph styles 
Not all the children of this issue are yet resolved or closed.

Activities

cbradney

2004-12-09 15:27

administrator   ~0003075

This is planned for the 1.3 development series, and the way we have planned it there will be the ability to add tags to any frame that can be used for thing like TOC entries etc. Your input is certainly worth it then. I think Petr has already got one partially working as a gap fill until 1.3 has it though.

cbradney

2004-12-09 22:44

administrator   ~0003081

>I appreciate your quick response on this. I'll go back to thinking up new >plug-ins to write, then.

Hi
I/We dont wish to discourage you at all. If you have specific requirements or ideas for this kind of generator, we are all ears.

subik

2004-12-10 07:00

manager   ~0003085

yes I have small plug creating Table of Contents (or images...) for 1.2x series. It isn't systematic but working (not so) quite well. And it needs manual polishing after creating ToC. I'm sure it will be dropped in 1.3x so I don't want to make useless work.
I think I'll make it public in 10-12 days (as xmass devil-present for you ;))

maxlybbert

2004-12-10 14:37

reporter   ~0003091

Sounds good. I don't have much by way of requirements. I had simply been thinking of LaTeX's ability to reference page numbers (for the TOC), Quark XPress's wierd system for dealing with "continued on" messages (at least I thought v. 3's "continued on" system was wierd, I don't know if it's changed since then), and how the Chicago Manual of Style recommended using index cards to make indexes. I figured the three things were conceptually-related, and that a decent interface would make the TOCs and indexes easier.

I had figured that if the file format didn't include anything like pointers, I would abuse XML comments to notify the application that a particular page number had been auto-generated. If the plug-in became semi-popular, the file format could be extended so that the abuse could end. Yes, I know where the file format is documented, and I've skimmed it. But, since desktop publishing is complicated, so is the file format, and I hadn't yet had the chance to take a close look.

cbradney

2004-12-10 14:48

administrator   ~0003092

The current format is XML-based. Not sure if it would ignore added strings. We are developing a new format, and this will allow for extra properties on page items.

maxlybbert

2004-12-31 01:49

reporter   ~0003304

OK, I've been waiting, and I've been looking, and I haven't come across subik's "xmass devil-present." Is it up?

subik

2004-12-31 06:51

manager   ~0003305

maxlybbert
http://www.yarpen.cz/scribus-toc/

it's CVS still. I've got some thoughts for improvement - later this weekend.

maxlybbert

2004-12-31 13:44

reporter   ~0003306

Thanks. Now getting and reading.

mhanski

2006-04-12 15:06

developer   ~0009862

creatinc of TOC and index is possible in Scribus now, may we resolve this one?

christoph_s

2006-04-23 22:25

administrator   ~0010383

The "Continued ..." feature is still missing, I suppose ...

maxlybbert

2007-12-16 03:22

reporter   ~0018314

I didn't realize this report was still open. I can't see a way to close it, but anybody with that level of access should feel free to do so.

christoph_s

2007-12-16 15:46

administrator   ~0018320

No reason to close it. Indexes etc. are not implemented yet.

ale

2012-06-18 20:11

manager   ~0028203

cezary, please close this as soon as everything but (eventually) index is implemented.

if at the time of closing there is still no index functionality, please open a new request for it and link to this one.
(or we could just keep 0002663 open)

JLuc

2014-06-11 08:40

developer   ~0032077

See also

- 0008796 : Style based TOC under construction, with C++ patch
- 0005975 : Wish: generate TOC from paragraph styles, with py script

Issue History

Date Modified Username Field Change
2004-12-09 13:29 maxlybbert New Issue
2004-12-09 15:27 cbradney Note Added: 0003075
2004-12-09 15:29 cbradney Product Version => 1.3.0cvs
2004-12-09 15:29 cbradney Relationship added related to 0000187
2004-12-09 22:44 cbradney Note Added: 0003081
2004-12-10 07:00 subik Note Added: 0003085
2004-12-10 14:37 maxlybbert Note Added: 0003091
2004-12-10 14:48 cbradney Note Added: 0003092
2004-12-31 01:49 maxlybbert Note Added: 0003304
2004-12-31 06:51 subik Note Added: 0003305
2004-12-31 13:44 maxlybbert Note Added: 0003306
2005-04-01 19:42 cbradney Status new => assigned
2005-04-01 19:42 cbradney Assigned To => cbradney
2005-11-01 01:11 cbradney Relationship added related to 0002707
2006-04-12 15:06 mhanski Note Added: 0009862
2006-04-23 22:14 mhanski OS => any
2006-04-23 22:14 mhanski OS Version => any
2006-04-23 22:14 mhanski Platform => any
2006-04-23 22:25 christoph_s Note Added: 0010383
2006-04-23 23:00 mhanski Relationship added related to 0003450
2006-04-23 23:03 mhanski Relationship added related to 0002663
2006-06-07 19:23 christoph_s Relationship added related to 0003896
2006-06-17 20:15 mhanski Relationship added related to 0003349
2006-11-05 21:56 mhanski Relationship added parent of 0004484
2006-11-05 22:32 mhanski Product Version 1.3.0cvs => 1.3
2007-07-05 15:04 christoph_s Relationship added related to 0005975
2007-12-16 03:22 maxlybbert Note Added: 0018314
2007-12-16 15:46 christoph_s Note Added: 0018320
2012-06-18 20:09 ale Assigned To cbradney => cezaryece
2012-06-18 20:11 ale Note Added: 0028203
2014-06-11 08:40 JLuc Note Added: 0032077